Skip to main content
POST
/
api
/
v1
/
projects
/
{projectId}
/
memberships
cURL
curl --request POST \
  --url https://us.infisical.com/api/v1/projects/{projectId}/memberships \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "emails": [],
  "usernames": [],
  "roleSlugs": [
    "<string>"
  ]
}
'
{
  "memberships": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "projectId": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

projectId
string
required

The ID of the project to invite the member to.

Body

application/json
emails
string<email>[]

A list of organization member emails to invite to the project.

usernames
string[]

A list of usernames to invite to the project.

roleSlugs
string[]

A list of role slugs to assign to the newly created project membership. If nothing is provided, it will default to the Member role.

Minimum array length: 1

Response

Default Response

memberships
object[]
required